IE Updates only for XP SP2!

Discussion in 'other security issues & news' started by Comp01, Sep 24, 2004.

Thread Status:
Not open for further replies.
  1. Comp01

    Comp01 Registered Member

    Joined:
    Sep 4, 2003
    Posts:
    638
    Looks like only people who use XP Service Pack 2 will be getting Internet Explorer updates - New IE updates will only be available for users of XP SP2 - This kind of brings up a security question from me as well, I don't use IE (I only use it for Windows Update), and I am not running XP (I run Win2k Pro), is there any way to secure my computer a bit better? (I just upgraded to 2k pro a few months ago, which is why this bugs me quite a bit, 2k is still "supported" by Microsoft!) - Is just using Firefox by itself and not using IE secure me enough, or should I possibly think of upgrading in the near future (If I upgrade it will be to Linux, I am really not liking the way Microsoft is handling things.)
     
Loading...
Thread Status:
Not open for further replies.